// AMX Super Configuration
//
// File location: addons/amxmodx/configs/amx_super.cfg
//
// Settings are loaded on every mapchange
// from this cfg file
// Version 3.7

echo [AMX Super] AMX_Super.cfg has been executed

//////////////////
// AMX Super Cvars  [Values: 0 = Disabled | 1 = Enabled] (Defaults)
//////////////////
// General Cvars
//////////////////

amx_deadchat 1		   // Enable/Disable dead players chatting with opposing teammates when alltalk is off.
amx_revivemsg 1		   // Enable/Disable the HUD revive message when somebody is revived.
amx_loadsong 1		   // Enable/Disable the loading songs when joining the server.
amx_adminlisten 1	   	   // Enable/Disable Admins listen plugin.  Lets admin see All chat
amx_flashsound 1	   	   // Enable/Disable flash sound when  using amx_flash
bullet_damage 1		   // Enable/Disable the bullet bamage HUD above your crosshairs when you hit your opponents. (HP Damage)
allow_catchfire 1	   	   // Enable/Disable people to catch other people on fire with amx_fire
amx_admin_check 1		   // Enable/Disable the ability to say /admin(s) and show the admins online

// Sound Fix
--
amx_soundfix 1	   	   // Enable/Disable the echo sound fix plugin to fix echoes automatically.
amx_soundfix_pallow 1	   // Enable/Disable players to be able to use /fixsound to fix echoes.


// Bomb Transfer
--
afk_bombtransfer_spawn 7   // Maximum allowed AFK time for the bomb carrier from Spawn Only
afk_bombtransfer_time 15   // Maximum allowed AFK time for the bomb carrier from any AFK any time


// C4 Timer
-- 
amx_showc4timer 1	   // <0|1|3> - Off | T's only | CT's only | ALL
amx_showc4flash 0	   	   // <0|1> - Sprite flashing 
amx_showc4sprite 1	   // <0|1> - Choose from 2 sprites 
amx_showc4msg 0		   // <0|1> - Shows a hud message about the timer 


// Stats Marquee
--
stats_marquee 0		   // Enable/Disable the stats marquee option
amx_marqplayeramount 40    // Amount of top players that will be shown
amx_marqvertlocation 2     // Where the marquee will appear (1 = top, 2 = bottom)
amx_marqfulltime 600.0     // Amount of seconds in between each time the stat marquee loops
amx_marqtimebetween 6.0    // Amount of seconds each player is individually shown before the next player is shown


// Join Leave Messages
-- 
amx_join_leave 0	   	   // Enable/Disable the join/leave messages
amx_leavemessage_enable 0  // Enable/Disable the Leave Message

// The actual messages
// %name% = Users Name, %rankpos% = Users Current Rank, \n = New line 

amx_enter_message "%name% has joined!\nEnjoy the Server!\nCurrent Ranking is %rankpos%"
amx_leave_message "%name% has left!\nHope to see you back sometime."


// Spawn Protection
-- 
sv_sp 1 		   	   // Cvar (Command Variable) for the plugin 1=on 0=off
sv_sptime 2 		   // Cvar for controlling the message time (1-10 seconds), default 5
sv_spmessage 0 		   // Cvar for controlling the message 1=on 0=off
sv_spshellthick 25 	   // Cvar for controlling the glow shell thickness 0-100, default 25
sv_spglow 0 		   // Cvar for controlling if glow is enabled or disabled, 0 disables glow


//Badaim
--
amx_autobantimed 1	   //Set whether or not to auto ban someone if they get a kill while under a timed bad aim. (default 1; 1|0)
amx_autobanall 1	         //"Get a kill under " either type of bad aim. (default 1; 1|0) 
amx_ba_follow_immunity 1   //Set whether or not bad aim follows immunity rules for admins. (default 1; 1|0) 



//////////////////
// AMX Super Add-on Cvars   (Defaults)
//////////////////
// General Cvars
//////////////////

// High Ping Kicker Cvars
--
amx_hpk_on 1 		   // Turn the High Ping Kicker on or off 
amx_hpk_ping 200	   	   // Highest ping a player is allowed to have
amx_hpk_check 12	   	   // Seconds between checking a players ping
amx_hpk_tests 5	         // Number of times a player's ping is checked before kicking
amx_hpk_delay 60	   	   // Seconds before starting ping checks after a player joins
amx_hpk_immunity 1	   // Enable/Disable Immunity Checks by the plugin
